Bug 811149 - [eap6] cannot add new web connector
[eap6] cannot add new web connector
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-10 05:47 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:10:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-10 05:47:22 EDT
Description of problem: it is not possible to add new connector child to web subsystem


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: c59e6a3
EAP6 ER4.1

How reproducible:always


Steps to Reproduce:
1.import EAP6 in standalone mode
2.navigate to it's web subsystem
3.add a new child called 'Connector'
  
Actual results:
WARN  [ResourceContainer.invoker.nonDaemon-18] (rhq.modules.plugins.jbossas7.ASConnection)- Response body for Operation{operation='add', address=Address{path: subsystem=web,connector=myconnector}, additionalProperties={enabled=null, protocol=null, enable-lookups=null, proxy-port=null, executor=null, secure=null, virtual-server=null, socket-binding=http, scheme=null, redirect-port=null, name=null, max-post-size=null, max-connections=null, proxy-name=null, max-save-post-size=null}} was empty and response code was 500 (Internal Server Error).


Expected results: new resource is added


Additional info:
Comment 1 Heiko W. Rupp 2012-04-12 05:22:42 EDT
You haven't given a "scheme" - this was not required in the plugin descriptor, but is required by as7
Comment 2 Heiko W. Rupp 2012-04-12 06:56:42 EDT
master 2bea86a  marks scheme as required.

It also implements listing of socket-bindings to choose from and of valid schemes.
Comment 3 Libor Zoubek 2012-04-26 19:26:27 EDT
on ER6 adding a new connector fails with result: JBAS014746: protocol may not be null, rolled-back=true
Comment 4 Heiko W. Rupp 2012-04-30 14:06:00 EDT
protocol is now required 

master c5c7e25
Comment 5 Heiko W. Rupp 2013-08-31 06:10:37 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.